Subject: Re: PCI Memory mapping

From: David Hawkins <[email-masked]>
Date: Thu, 14 Apr 2011 23:32:55 -0700

Hi Ajith,

> I have come across this forum, and I have a question. I am working on
> PCI device driver, I am trying to insert the pci card in to the pci slot
> of the main computer, I am finding a problem here, when I insert the
> card in to the pci slot, my pci device ID and vendor Id are not getting
> displayed. I am using windows xp o/s.
>
> I am trying to map pci memory. Can you suggest me how can we map the pci
> memory. What steps should I take in order to make my Device Id and
> Vendor Id displayed when I insert the card in to the pci slot.

This is a PowerPC Linux developer list so your question is
way off-topic here.

If your PCI card is not showing up at all, it could be due to the
fact that it is not being powered. I have found old motherboards
that do not supply both the 5V and 3.3V rails to PCI slots.
Check the power supplies on your PCI board, or at least
measure the PCI power pins in the slots. Then if power is present,
check there is a PCI clock in the slot. After that, boot Linux
from a bootable CD-ROM and type lspci to see if your device is
listed.

Cheers,
Dave